GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.timeframe.TimeframeService Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.timeframe.TimeframeService:

## Public Member Functions
| TimeframeService (URL wsdlLocation)
| TimeframeService (URL wsdlLocation, QName serviceName)
| TimeframeService ()
| TimeframeService (WebServiceFeature ... features)
| TimeframeService (URL wsdlLocation, WebServiceFeature ... features)
| TimeframeService (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
TimeframePortType | getTimeframePort ()
TimeframePortType | getTimeframePort (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v1/Timeframe", "TimeframeService")
static final QName | TimeframePort = new QName("http://fpcs.gls-group.eu/v1/Timeframe", "TimeframePort")

## Detailed Description

Timeframe service A service for ... Version: 1.0 History: 1.0 [2014-06-10] initial release

This class was generated by Apache CXF 3.4.7 2023-04-19T13:30:22.766Z Generated source version: 3.4.7

Definition at line 23 of file TimeframeService.java.

## Constructor & Destructor Documentation

## ◆ TimeframeService() [1/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( | URL | wsdlLocation | ) |

Definition at line 41 of file TimeframeService.java.

## ◆ TimeframeService() [2/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 45 of file TimeframeService.java.

## ◆ TimeframeService() [3/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( |  | ) |

Definition at line 49 of file TimeframeService.java.

## ◆ TimeframeService() [4/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( | WebServiceFeature ... | features | ) |

Definition at line 53 of file TimeframeService.java.

## ◆ TimeframeService() [5/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 57 of file TimeframeService.java.

## ◆ TimeframeService() [6/6]

eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframeService | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 61 of file TimeframeService.java.

## Member Function Documentation

## ◆ getTimeframePort() [1/2]

TimeframePortType eu.gls_group.fpcs.v1.timeframe.TimeframeService.getTimeframePort | ( |  | ) |

Returns
  returns TimeframePortType

Definition at line 74 of file TimeframeService.java.

## ◆ getTimeframePort() [2/2]

TimeframePortType eu.gls_group.fpcs.v1.timeframe.TimeframeService.getTimeframePort | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns TimeframePortType

Definition at line 86 of file TimeframeService.java.

## Member Data Documentation

## ◆ SERVICE

final QName eu.gls_group.fpcs.v1.timeframe.TimeframeService.SERVICE = new QName("http://fpcs.gls-group.eu/v1/Timeframe", "TimeframeService")
| static

Definition at line 27 of file TimeframeService.java.

## ◆ TimeframePort

final QName eu.gls_group.fpcs.v1.timeframe.TimeframeService.TimeframePort = new QName("http://fpcs.gls-group.eu/v1/Timeframe", "TimeframePort")
| static

Definition at line 28 of file TimeframeService.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v1.timeframe.TimeframeService.WSDL_LOCATION
| static

Definition at line 25 of file TimeframeService.java.

The documentation for this class was generated from the following file:

- TimeframeService.java